Index: /trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _subdctn_cs_validation_net_1991_93_all_v10.pro
+; .. _subdctn_cs_validation_net_1991_93_all_v10.pro:
 ;
 ; =============================================
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph subdctn_cs_validation_net_1991_93_all_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_subduct_cs_9*.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/subdctn_cs_validation_net_1991_93_all_v10.ps"];
+;
+;       subdctn_cs_validation_net_1991_93_all_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/subdctn_cs_validation_net_1991_93_all_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {subdctn_cs_validation_net_1991_93_all_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +61,17 @@
 ;  IDL> subdctn_cs_validation_net_1991_93_all_v10
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +79,9 @@
 ; $Id$
 ;
+; - fplod 20110420T121121Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +90,6 @@
 ;-
 pro subdctn_cs_validation_net_1991_93_all_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -46,5 +104,5 @@
 ;; first leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_cs_91.txt"
+fi=tropflux_id_env+"met_data_subduct_cs_91.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -59,5 +117,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_cs_92.txt"
+fi=tropflux_id_env+"met_data_subduct_cs_92.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -70,5 +128,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_cs_93.txt"
+fi=tropflux_id_env+"met_data_subduct_cs_93.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -86,14 +144,14 @@
 st1=19910623 & en1=19930616
 
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
@@ -103,5 +161,5 @@
 help, era
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -111,5 +169,5 @@
 trop=swr1+lwr1+lhf1+shf1
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
@@ -119,14 +177,14 @@
 swr1=0 & lwr1=0 & shf1=0 & lhf1=0 & olr1=0
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -136,14 +194,14 @@
 swr1=0 & lwr1=0 & shf1=0 & lhf1=0 & olr1=0
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -153,5 +211,5 @@
 swr1=0 & lwr1=0 & shf1=0 & lhf1=0 & olr1=0
 
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 
@@ -228,9 +286,7 @@
 xyouts, 0,-175, cstat_olr, charsize=1.
 
-stop
 closeps
-fig="subdctn_cs_validation_net_1991_93_all_v10.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"subdctn_cs_validation_net_1991_93_all_v10.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _subdctn_ses_validation_net_1991_93_all_v10.pro
+; .. _subdctn_ses_validation_net_1991_93_all_v10.pro:
 ;
 ; ==============================================
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph subdctn_ses_validation_net_1991_93_all_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_subduct_ses_9*.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/subdctn_ses_validation_net_1991_93_all_v10.ps"];
+;
+;       subdctn_ses_validation_net_1991_93_all_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/subdctn_ses_validation_net_1991_93_all_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {subdctn_ses_validation_net_1991_93_all_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +61,16 @@
 ;  IDL> subdctn_ses_validation_net_1991_93_all_v10
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
 ;
 ; EVOLUTIONS
@@ -28,4 +79,9 @@
 ; $Id$
 ;
+; - fplod 20110420T121359Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -34,5 +90,6 @@
 ;-
 pro subdctn_ses_validation_net_1991_93_all_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -49,5 +106,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_ses_92.txt"
+fi=tropflux_id_env+"met_data_subduct_ses_92.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -61,5 +118,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_ses_93.txt"
+fi=tropflux_id_env+"met_data_subduct_ses_93.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -79,20 +136,20 @@
 st2=19920921 & en2=19930618
 
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
 swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
 lhf2=-1*read_ncdf('lhf',st2,en2,file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy", box=box,/nan) & lhf2=reform(lhf2)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
 shf2=-1*read_ncdf('shf',st2,en2,file=file,/nostr, box=box) & shf2=grossemoyenne(shf2, "xy", box=box,/nan) & shf2=reform(shf2)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
@@ -107,5 +164,5 @@
 net1=0. & net2=0.
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -118,5 +175,5 @@
 swr2=read_ncdf('swr',st2,en2,file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy", box=box,/nan) & swr2=reform(swr2)
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
@@ -128,20 +185,20 @@
 help, trop, olr
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
 swr2=read_ncdf("swr", st2, en2, file=file,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
 lwr2=-1*read_ncdf("lwr", st2, en2, file=file,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
 lhf2=-1*read_ncdf("lhf", st2, en2, file=file,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -152,20 +209,20 @@
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
 swr2=read_ncdf("swr", st2, en2, file=fi,/nostr, box=box) & swr2=grossemoyenne(swr2, "xy",/nan, box=box) & swr2=reform(swr2)
 
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
 lwr2=-1*read_ncdf("lwr", st2, en2, file=fi,/nostr, box=box) & lwr2=grossemoyenne(lwr2, "xy",/nan, box=box) & lwr2=reform(lwr2)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
 lhf2=-1*read_ncdf("lhf", st2, en2, file=fi,/nostr, box=box) & lhf2=grossemoyenne(lhf2, "xy",/nan, box=box) & lhf2=reform(lhf2)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -176,5 +233,5 @@
 help, nce2
 
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -256,9 +313,7 @@
 xyouts, 0,-175, cstat_olr, charsize=1.
 
-stop
 closeps
-fig="subdctn_ses_validation_net_1991_93_all_v10.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"subdctn_ses_validation_net_1991_93_all_v10.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _subdctn_sws_validation_net_1991_93_all_v10.pro
+; .. _subdctn_sws_validation_net_1991_93_all_v10.pro:
 ;
 ; ==============================================
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph subdctn_sws_validation_net_1991_93_all_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_subduct_sws_9*.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/subdctn_sws_validation_net_1991_93_all_v10.ps"];
+;
+;       subdctn_sws_validation_net_1991_93_all_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/subdctn_sws_validation_net_1991_93_all_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {subdctn_sws_validation_net_1991_93_all_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,4 +61,17 @@
 ;  IDL> subdctn_sws_validation_net_1991_93_all_v10
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +79,9 @@
 ; $Id$
 ;
+; - fplod 20110420T121730Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,5 +90,6 @@
 ;-
 pro subdctn_sws_validation_net_1991_93_all_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -46,5 +104,5 @@
 ;; first leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_sws_91_v1.txt"
+fi=tropflux_id_env+"met_data_subduct_sws_91_v1.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -59,5 +117,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_sws_92_v1.txt"
+fi=tropflux_id_env+"met_data_subduct_sws_92_v1.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -71,5 +129,5 @@
 ;; second leg
 
-fi="/Users/pkb/data/Mooring_data/subduction_expt_atl/met_data_subduct_sws_93_v1.txt"
+fi=tropflux_id_env+"met_data_subduct_sws_93_v1.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -89,5 +147,5 @@
 st4=19930101 & en4=19930521
 
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
@@ -96,5 +154,5 @@
 swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy", box=box,/nan) & swr4=reform(swr4)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -103,5 +161,5 @@
 lhf4=-1*read_ncdf('lhf',st4,en4,file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy", box=box,/nan) & lhf4=reform(lhf4)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
@@ -110,5 +168,5 @@
 shf4=-1*read_ncdf('shf',st4,en4,file=file,/nostr, box=box) & shf4=grossemoyenne(shf4, "xy", box=box,/nan) & shf4=reform(shf4)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
@@ -126,5 +184,5 @@
 help, era
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 lhf1=read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -148,5 +206,5 @@
 swr4=read_ncdf('swr',st4,en4,file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy", box=box,/nan) & swr4=reform(swr4)
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
@@ -169,5 +227,5 @@
 help, trop, olr
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -176,5 +234,5 @@
 swr4=read_ncdf("swr", st4, en4, file=file,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy",/nan, box=box) & swr4=reform(swr4)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
@@ -183,5 +241,5 @@
 lwr4=-1*read_ncdf("lwr", st4, en4, file=file,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) & lwr4=reform(lwr4)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
@@ -190,5 +248,5 @@
 lhf4=-1*read_ncdf("lhf", st4, en4, file=file,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) & lhf4=reform(lhf4)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -209,5 +267,5 @@
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -216,5 +274,5 @@
 swr4=read_ncdf("swr", st4, en4, file=fi,/nostr, box=box) & swr4=grossemoyenne(swr4, "xy",/nan, box=box) & swr4=reform(swr4)
 
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+'"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
@@ -223,5 +281,5 @@
 lwr4=-1*read_ncdf("lwr", st4, en4, file=fi,/nostr, box=box) & lwr4=grossemoyenne(lwr4, "xy",/nan, box=box) & lwr4=reform(lwr4)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
@@ -230,5 +288,5 @@
 lhf4=-1*read_ncdf("lhf", st4, en4, file=fi,/nostr, box=box) & lhf4=grossemoyenne(lhf4, "xy",/nan, box=box) & lhf4=reform(lhf4)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -248,5 +306,5 @@
 net1=0. & net2=0. & net3=0. & net4=0
 
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 
@@ -344,9 +402,7 @@
 xyouts, 0,-175, cstat_olr, charsize=1.
 
-stop
 closeps
-fig="subdctn_sws_validation_net_1991_93_all_v10.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"subdctn_sws_validation_net_1991_93_all_v10.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
